

This removes a vestige of the old algorithm.  We don't want to skip zones if
all_zones_ok is true: we've already precalculated which zones need scanning
and this just stops us from ever performing kswapd reclaim from the DMA zone.



---

 mm/vmscan.c |    2 --
 1 files changed, 2 deletions(-)

diff -puN mm/vmscan.c~kswapd-avoid-higher-zones-reverse-direction-fix mm/vmscan.c
--- 25/mm/vmscan.c~kswapd-avoid-higher-zones-reverse-direction-fix	2004-03-08 23:30:30.000000000 -0800
+++ 25-akpm/mm/vmscan.c	2004-03-08 23:30:30.000000000 -0800
@@ -970,8 +970,6 @@ scan:
 			if (nr_pages == 0) {	/* Not software suspend */
 				if (zone->free_pages <= zone->pages_high)
 					all_zones_ok = 0;
-				if (all_zones_ok)
-					continue;
 			}
 			zone->temp_priority = priority;
 			max_scan = zone->nr_inactive >> priority;

_
